var path_url = 'http://app.jinbomeii.com/JiaZheng_Web/';
var path_url_img = 'http://app.jinbomeii.com';
var ws_url = 'ws://app.jinbomeii.com/JiaZheng_Web/websocket';

/**
 * 将用户数据存储到LocalStorage中  
 * @param userJson  
 */
function setUserLocalStorage(userJson) { 
	localStorage.setItem("DSXBuserJson", userJson);
}

/**
 * 从cookie中得到一条userjson 数据
 * @return json
 */
function getUserLocalStorage() {
	var userJson = localStorage.getItem("DSXBuserJson");
	if(isUndefinedAndEmpty(userJson)) {
		return {}; 
	}
	return strToJson(userJson);
}

/**
 * 清除userjson 数据
 * @return json
 */
function delUserLocalStorage() {
	localStorage.removeItem("DSXBuserJson");
}


/**
 * 判断当前用户是否已经登录
 * @return json
 */
function isLogin() {
	var userJson = localStorage.getItem("DSXBuserJson");
	if(isUndefinedAndEmpty(userJson) || userJson == "{}") {
		return false;
	}
	return true;
}
/**
 * 如果用户数据为空 就进行登录
 */
function userNullLogin(returnUrl) {
	setTimeout(function() {
		openPage("/form_mobile/login/login.html", "login");
	}, 1000);
}

/**
 * 根据url获取参数值组成数组
 * @return
 */
function getArrayByUrl() {
	var sHref = getStr(document.URL);
	var args = sHref.split("?");
	var valueArray = new Array();
	var retval = "";
	if(args[0] == sHref) /* 参数为空 */ {
		return valueArray; /* 无需做任何处理 */
	}
	var str = args[1];
	args = str.split("&");
	for(var i = 0; i < args.length; i++) {
		str = args[i];
		var arg = str.split("=");
		valueArray[i] = arg[1];
	}
	return valueArray;
}

/**
 * 打开页面
 * @param url  地址
 * @param id 当前页面ID
 */
function openPage(url, id) {
	//	if(isUndefinedAndEmpty(url)) {
	//		return;
	//	}
	mui.openWindow({
		url: url,
		id: id,
		extras: { //这是要传的数据
		},
		waiting: {
			autoShow: false //自动显示等待框，默认为true
		}
	});
}

/*********************倒计时*********************/

var clock = '';
var nums = 0;
var btn;

function daojishi() {
	nums = 60;
	btn = document.getElementById("getRegisterCode");
	btn.disabled = true; //将按钮置为不可点击
	btn.innerHTML = nums + 's';
	setTimeout(doLoop, 1000); //一秒执行一次
}

/**
 * 倒计时
 */
function doLoop() {
	nums--;
	if(nums > 0) {
		btn.innerHTML = nums + 's';
		setTimeout(doLoop, 1000); //一秒执行一次
	} else {
		btn.disabled = false;
		btn.innerHTML = '获取验证码';
		nums = 30; //重置时间
	}
}

/**
 * 清空之前打开页面
 */
function claerPage(id) {
	plus.webview.hide(id); //为了效果更逼真
	plus.webview.close(id);
}

// 关闭自身窗口
function closeme() {
	var ws = plus.webview.currentWebview();
	plus.webview.hide(ws);
	plus.webview.close(ws);
}

/**
 * 浏览器跳转
 * @param {Object} url
 */
function toAUrl(url) {
	plus.runtime.openURL(url);
}

/**********************************----s 图片上传----***********************************/
/**
 * 图片上传初始化
 * @param {Object} menthodNameurl
 */
function imgInit(menthodName) {
	var btnArray = [{
		title: "拍照或录像"
	}, {
		title: "读取相册"
	}];
	plus.nativeUI.actionSheet({
		title: "选择照片",
		cancel: "取消",
		buttons: btnArray
	}, function(e) {
		var index = e.index;
		switch(index) {
			case 0:
				break;
			case 1:
				getImage(menthodName); //拍照或录像
				break;
			case 2:
				galleryImg(menthodName); //选取现有的
				break;
		}
	});
}
/**
 * 拍照 
 */
function getImage(overMethodName) {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s, overMethodName); /*上传图片*/
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png"
	})
}

/**
 * 上传头像图片 
 * @param {Object} imgPath
 */
function uploadHead(imgPath, overMethodName) {
	console.log("imgPath = " + imgPath);
	var mainImage = new Image();
	mainImage.src = imgPath;
	mainImage.style.width = "100px";
	mainImage.style.height = "100px";

	var image = new Image();
	image.src = imgPath;
	image.onload = function() {
		var imgData = getBase64Image(image);
		console.log("准备上传 = " + overMethodName);
		var jsonAjax = {
			"url": "otherFile_fileEntityUploadImgBase64.do",
			"jsonData": {
				"imgData": imgData
			},
			"methodName": "updateOver_back",
			"overMethodName": overMethodName,
			"uploadFile": "y"
		};
		getAjaxData(jsonAjax);
	}
}
/*
 * 本地相册选择 
 */
function galleryImg(overMethodName) {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				root.getFile("head.png", {}, function(file) {
					//文件已存在 
					file.remove(function() {
						console.log("file remove success");
						entry.copyTo(root, 'head.png', function(e) {
								var e = e.fullPath + "?version=" + new Date().getTime();
								uploadHead(e, overMethodName); /*上传图片*/
								//变更大图预览的src 
								//目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现 
							},
							function(e) {
								console.log('copy image fail:' + e.message);
							});
					}, function() {
						console.log("delete image fail:" + e.message);
					});
				}, function() {
					//文件不存在 
					entry.copyTo(root, 'head.png', function(e) {
							var path = e.fullPath + "?version=" + new Date().getTime();
							uploadHead(path, overMethodName); /*上传图片*/
						},
						function(e) {
							console.log('copy image fail:' + e.message);
						});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};

/**
 * 将图片压缩base64
 * @param {Object} img
 */
function getBase64Image(img) {
	var canvas = document.createElement("canvas");
	var width = 600;
	var height = 600;
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.8);
	return dataURL.replace("data:image/png;base64,", "");
}
/**********************************---- e 图片上传----***********************************/

function isPoneAvailable(str) {
	var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
	if(!myreg.test(str)) {
		return false;
	} else {
		return true;
	}
}
/***************处理图片路径**************/
function getUserImgPub(user_img) {
	if(isUndefinedAndEmpty(user_img)) {
		user_img = '../../util/img/userImg.png';
	} else if(user_img.indexOf('http') == -1) { //微信头像
		user_img = path_url_img + user_img;
	}
	return user_img;
}

//跳转底部栏方法
function toBottomBar(toid) {   
	var borromUrl = location.href.split('form_mobile')[0] + 'form_mobile/userTerminal/parent/index.html';
	if(toid == undefined) {
		plus.webview.getWebviewById("user_parent").show();
	} else {
		var pulsv=plus.webview.getWebviewById("user_parent");
		console.log(jsonToStr(pulsv))
		if(pulsv!=null){
			pulsv.evalJS("showWebview('"+toid+"')");
		}
	} 
	setTimeout(function(){
		closeme();
	},1000)
}

//选项卡切换
mui('.select_nav').on('tap','div',function(){
	$(this).addClass('active').siblings('div').removeClass('active')
})
mui.plusReady(function() { 
	plus.navigator.setStatusBarStyle('light');//状态栏文字颜色
})


// 通过定位模块获取位置信息
function getGeocode() {
	plus.geolocation.getCurrentPosition(function geoInf(position) {
		getdituList(position);
	}, function(e) {
		alert("获取百度定位位置信息失败："+e.message);
	}, {
		provider: 'baidu'
	});
}